<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginapodConfigView extends AdminPluginTemplatedView
	{

		function PluginapodConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "apod", "apod" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_apod_enabled" );

			$width = $blogSettings->getValue( "plugin_apod_width");
			$height = $blogSettings->getValue( "plugin_apod_height");

			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "width", $width );
			$this->setValue( "height", $height );
		
			parent::render();
		}
	}
?>
